#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,c,tsz;  //tsz:teljes szam (vegeredmeny)
    scanf("%d %d %d",&a,&b,&c);

    if (a>b && c)
    {
        if (b>c)
            tsz=a*100+b*10+c;
        else
            tsz=a*100+c*10+b;
    }

    else if (b>a && c)
    {
        if (a>c)
            tsz=b*100+a*10+c;
        else
            tsz=b*100+c*10+a;
    }

    else if (c>a && b)
    {
        if (a>b)
            tsz=c*100+a*10+b;
        else
            tsz=c*100+b*10+a;
    }


    printf("\n%d",tsz);
    return 0;
}